Google Play Upload Fail - Target Api Level 28 Required!

Discussion in 'Buildbox General Discussion' started by volcank, Aug 4, 2019.

  1. volcank

    volcank Serious Boxer

    Joined:
    Oct 8, 2015
    Messages:
    680
    Likes Received:
    310
    Hi,
    This is for Buildbox 2.3.8
    When I try to uplaod an apk to the google play store it gives the following errors.

    Your app currently targets API level 26 and must target at least API level 28 to ensure it is built on the latest APIs optimized for security and performance. Change your app's target API level to at least 28. Learn how.

    There is now way I can upload an apk. I updated the SDKs to 28 it doesn't work either. I tried to update the API levels to 28 in File > Project Structure but that messes up the apk and it can not be installed on phone. I would appreciate if anyone knows a way around this problem. @Sean Buildbox @NikRudenko Thank you

    Volkan
     
  2. Maria

    Maria Boxer

    Joined:
    Aug 22, 2018
    Messages:
    47
    Likes Received:
    29
    Hope this help.
    - On Android Studio. On your build.gradle file you have to set targetSdkVersion to 29 (this is my version of android studio is suggesting) it might me 28 to some. Then compileSdkVersion 29 (use the suggestion promt in android studio - the yellow bulb that shows when you locate your cursor to ), again this might be 28 to some. Refer to screenshot.
    - I suggest you have to update your android studio to the latest version.
    - I suggest that you use a bundle file now (.aab) rather than .apk. Submitting to google console is the same, only that you will be submitting the private_key.pepk for google safekeeping. Android App Bundle also reduces the file size.
     

    Attached Files:

    volcank likes this.
  3. TheGameAppStudio

    TheGameAppStudio Serious Boxer

    Joined:
    Nov 2, 2016
    Messages:
    736
    Likes Received:
    227
    @volcank Set Target sdk version to 28 or 29 and compile sdk version to 29.0.0 and classpath buildtool version 3.4.2
     
    volcank likes this.
  4. Sean Buildbox

    Sean Buildbox Administrator Staff Member

    Joined:
    Sep 24, 2015
    Messages:
    321
    Likes Received:
    402
    This build of 2.3.8 fixes this issue to be clear:

    Fixed: updated compile SDK for android from 26 to 28

    macOS: http://download.buildbox.com/buildb...3.8-2516_ca6766d5c54b2a7756b6c68b2612bb70.zip

    Windows
    : http://download.buildbox.com/buildb...3.8-2516_ee3becfe0ab0c1e078e0c2ba3a499e7e.exe
     
    volcank likes this.
  5. volcank

    volcank Serious Boxer

    Joined:
    Oct 8, 2015
    Messages:
    680
    Likes Received:
    310
    Interesting knowledge @Maria Thank you so much! I will have a look into that! I also managed to update to API 28 in Android Studio File > Project structure and there under Flavors tab.
     
  6. volcank

    volcank Serious Boxer

    Joined:
    Oct 8, 2015
    Messages:
    680
    Likes Received:
    310
    Thank you so much! Will try that!
     
    TheGameAppStudio likes this.
  7. volcank

    volcank Serious Boxer

    Joined:
    Oct 8, 2015
    Messages:
    680
    Likes Received:
    310
    Sean Buildbox likes this.
  8. dmmcmah

    dmmcmah Avid Boxer

    Joined:
    Sep 25, 2015
    Messages:
    102
    Likes Received:
    20
    Still doesn't work. I have BB 2.3.8 and Android Studio 3.5.1.

    You have to update build.gradle
    targetSdkVersion

    to 28. BB 2.3.8 will set this to 26, just so people know.
     
  9. OneHitGamer

    OneHitGamer Miniboss Boxer

    Joined:
    Apr 14, 2016
    Messages:
    1,328
    Likes Received:
    715
    Yeah i leave it at 26 and just change target to 28 and works for me.
     
  10. Hoodle

    Hoodle Boxer

    Joined:
    Oct 27, 2016
    Messages:
    22
    Likes Received:
    6
    I had the same issue but got it to work by pointing to API 28 in the Target APK section under Project Structure.

    The issue I'm having is getting the APK to be 64 bit compliant. Any suggestions?
     
  11. Josh (Nology Games)

    Josh (Nology Games) Head Moderator Staff Member

    Joined:
    Nov 27, 2017
    Messages:
    456
    Likes Received:
    141
    @Hoodle what version of Buildbox are you using?
     
  12. Hoodle

    Hoodle Boxer

    Joined:
    Oct 27, 2016
    Messages:
    22
    Likes Received:
    6
    I just updated to the latest version 2.3.8 from the link in this thread and was able to successfully publish.

    Thanks
     
  13. Josh (Nology Games)

    Josh (Nology Games) Head Moderator Staff Member

    Joined:
    Nov 27, 2017
    Messages:
    456
    Likes Received:
    141
    No worries, I’m happy for you
     

Share This Page